## ghdl 4.1.0+dfsg

=== testsuite/requirements.txt ===
-r ../pyGHDL/requirements.txt

pytest>=7.3.0
pytest-cov>=2.10.1

# Coverage collection
Coverage>=7.2
