=== pyGHDL/cli/requirements.txt ===
-r ../dom/requirements.txt

pyTooling>=4.0.1, <5.0
pyAttributes>=2.3.2
