=== pyGHDL/libghdl/requirements.txt ===
pyTooling>=4.0.1, <5.0
