=== pyGHDL/lsp/requirements.txt ===
-r ../libghdl/requirements.txt
