=== debian/changelog ===
ghdl (4.1.0+dfsg-4build1) plucky; urgency=medium

  * No-change rebuild for LLVM 20.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2025 22:01:10 +0100

ghdl (4.1.0+dfsg-4) unstable; urgency=medium

  * Restrict architectures to those on which GHDL builds and clears the
    testsuite (Closes: 1081717, 1010539)
  * Fix lintian override for undefined license

 -- Andreas Bombe <aeb@debian.org>  Sun, 17 Nov 2024 11:48:24 +0100

ghdl (4.1.0+dfsg-3) unstable; urgency=medium

  * Add allow-llvm19 patch and adjust Build-Depends to allow building with
    LLVM 19 (Closes: 1085096)
  * Backport patch from upstream to fix testsuite VPI prototypes
  * Fix some testsuite file patterns in debian/copyright
  * Add lintian source override for a testsuite with a generic BSD license

 -- Andreas Bombe <aeb@debian.org>  Sat, 16 Nov 2024 14:22:08 +0100

ghdl (4.1.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Add collect-gcc-options patch for proper calling of GCC backend
  * Update debian/copyright with new files, years and changed libghw license

 -- Andreas Bombe <aeb@debian.org>  Wed, 28 Aug 2024 01:21:13 +0200

ghdl (4.1.0+dfsg-1) experimental; urgency=medium

  [ Andreas Bombe ]
  * Exclude more test suites from orig tarball for 4.1.0
  * New upstream version 4.1.0+dfsg (Closes: 1067686)
  * Drop LLVM 16 support patches, version 4.1.0 supports up to 18.1
  * Allow LLVM versions up to 18.1
  * Use GCC/GNAT version 13 (Closes: 1067446)
  * Update libghdl soname to current version
  * Bump Standards-Version to 4.7.0, no changes needed
  * Add avoid-have-backtrace patch to disable use of backtrace(3) for now
  * Backport patches from upstream fixing VPI and VHPI testsuite
  * Backport patch from upstream to fix PSL counter initialization
  * Make LLVM backend testsuite failure during build fatal again
  * Adapt to the gcc-13 build installing ghdl1 under libexec instead of lib

  [ Nicolas Boulenguez ]
  * Install the usr/bin/ghdl wrapper with dh_install directly
  * Install usr/lib/ghdl/backend/vhdl/src with dh_link directly
  * Drop obsolete gcc-10 patch
  * Slightly simplify the backend selection with build profiles
  * debian/control: remove unused shlibs:Depends from ghdl-common Depends

 -- Andreas Bombe <aeb@debian.org>  Wed, 31 Jul 2024 23:23:10 +0900
