=== debian/control ===
Source: ghdl
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-ada-library (>= 8.1),
               gnat-13, gcc-13, g++-13,
               gcc-13-source <!pkg.ghdl.nogcc>,
               libisl-dev (>= 0.14) <!pkg.ghdl.nogcc>,
               libmpc-dev (>= 1.0) <!pkg.ghdl.nogcc>,
               libmpfr-dev (>= 3.0.0-9~) <!pkg.ghdl.nogcc>,
               libgmp-dev (>= 2:5.0.1~) <!pkg.ghdl.nogcc>,
               texinfo <!pkg.ghdl.nogcc>,
               llvm-dev (<< 1:20~) <!pkg.ghdl.nollvm>,
               clang (>= 1:3.5) <!pkg.ghdl.nollvm>,
               zlib1g-dev
Standards-Version: 4.7.0
Homepage: https://github.com/ghdl/ghdl
Vcs-Browser: https://salsa.debian.org/electronics-team/ghdl/ghdl
Vcs-Git: https://salsa.debian.org/electronics-team/ghdl/ghdl.git
Rules-Requires-Root: no

Package: ghdl
Architecture: amd64 arm64 armel ppc64el ppc64
Depends: ghdl-common (= ${binary:Version}),
         ghdl-mcode [amd64] <!pkg.ghdl.nomcode>
         | ghdl-gcc <!pkg.ghdl.nogcc>
         | ghdl-llvm <!pkg.ghdl.nollvm>,
         ${misc:Depends}
Suggests: gtkwave
Description: VHDL compiler/simulator
 GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
 GHDL is not an interpreter: it allows you to analyse and elaborate sources to
 generate machine code from your design. Native program execution is the only
 way for high speed simulation.
 .
 GHDL offers three machine code generation backends: one based on GCC, one
 using the LLVM compiler suite and a GHDL specific one called mcode. These are
 available in the ghdl-gcc, ghdl-llvm and ghdl-mcode packages respectively.
 Both the GCC and LLVM backends create highly optimized code for excellent
 simulation performance while simulations compiled with the GCC backend also
 allow coverage testing using gcov. The mcode backend creates less performant
 code but makes up for it with much faster compilation. It is therefore
 preferable for smaller projects without large or long running simulations.
 .
 Multiple backends can be installed at the same time and selected by either
 invoking the desired GHDL directly (as ghdl-gcc, ghdl-llvm or ghdl-mcode) or
 by providing a GHDL_BACKEND environment variable (containing gcc, llvm or
 mcode) while invoking ghdl.
 .
 This package is a dependency package that will make sure at least one backend
 is installed.

Package: ghdl-common
Architecture: amd64 arm64 armel ppc64el ppc64
Depends: ${misc:Depends}
Breaks: ghdl (<< 0.37+dfsg2)
Replaces: ghdl (<< 0.37+dfsg2)
Description: VHDL compiler/simulator (common files)
 GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
 GHDL is not an interpreter: it allows you to analyse and elaborate sources to
 generate machine code from your design. Native program execution is the only
 way for high speed simulation.
 .
 This package contains common files for the GHDL compiler packages.

Package: ghdl-mcode
Architecture: amd64
Build-Profiles: <!pkg.ghdl.nomcode>
Depends: ghdl-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: VHDL compiler/simulator (mcode backend)
 GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
 GHDL is not an interpreter: it allows you to analyse and elaborate sources to
 generate machine code from your design. Native program execution is the only
 way for high speed simulation.
 .
 This package contains the compiler with the mcode backend.

Package: ghdl-gcc
Architecture: amd64 arm64 armel ppc64el ppc64
Build-Profiles: <!pkg.ghdl.nogcc>
Built-Using: ${Built-Using-GCC}
Depends: ghdl-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
	gcc, zlib1g-dev
Description: VHDL compiler/simulator (GCC backend)
 GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
 GHDL is not an interpreter: it allows you to analyse and elaborate sources to
 generate machine code from your design. Native program execution is the only
 way for high speed simulation.
 .
 This package contains the compiler with the GCC backend.

Package: ghdl-llvm
Architecture: amd64 arm64 armel ppc64el ppc64
Build-Profiles: <!pkg.ghdl.nollvm>
Depends: ghdl-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
	gcc, zlib1g-dev
Description: VHDL compiler/simulator (LLVM backend)
 GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
 GHDL is not an interpreter: it allows you to analyse and elaborate sources to
 generate machine code from your design. Native program execution is the only
 way for high speed simulation.
 .
 This package contains the compiler with the LLVM backend.

Package: ghdl-tools
Architecture: amd64 arm64 armel ppc64el ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: gtkwave (<< 3.3.110~)
Replaces: gtkwave (<< 3.3.110~)
Description: VHDL compiler/simulator (tools)
 GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
 GHDL is not an interpreter: it allows you to analyse and elaborate sources to
 generate machine code from your design. Native program execution is the only
 way for high speed simulation.
 .
 This package contains ghwdump, a simple command line tool to extract
 information from GHW files produced by GHDL and display it as text. It is
 mainly intended for use in debugging and is not needed for regular use of
 GHDL, where a wavefile visualization tool like gtkwave would normally be used.

Package: libghdl-4-1-0
Architecture: amd64 arm64 armel ppc64el ppc64
Built-Using: ${Built-Using-GCC}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: VHDL compiler/simulator (shared library)
 GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
 GHDL is not an interpreter: it allows you to analyse and elaborate sources to
 generate machine code from your design. Native program execution is the only
 way for high speed simulation.
 .
 This package contains the shared library to access GHDL internals.

Package: libghdl-dev
Architecture: amd64 arm64 armel ppc64el ppc64
Built-Using: ${Built-Using-GCC}
Depends: libghdl-4-1-0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: VHDL compiler/simulator (library development files)
 GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
 GHDL is not an interpreter: it allows you to analyse and elaborate sources to
 generate machine code from your design. Native program execution is the only
 way for high speed simulation.
 .
 This package contains the files required to compile programs using libghdl.
