## ghdl 5.0.1+dfsg

=== doc/requirements.txt ===
-r ../pyGHDL/requirements.txt

sphinx ~= 8.2
python-dateutil ~= 2.9

# Sphinx Extenstions
autoapi ~= 2.0
myst-parser ~= 4.0
sphinx_autodoc_typehints ~= 3.1

# Theme
furo

# BuildTheDocs Extensions (mostly patched Sphinx extensions)
#btd.sphinx.autoprogram>=0.1.7.post1
