=== testsuite/requirements.txt ===
-r ../pyGHDL/requirements.txt

# Test Runner
pytest ~= 8.3
pytest-cov ~= 6.0

# Coverage collection
Coverage ~= 7.6
