=== pyGHDL/dom/requirements.txt ===
-r ../libghdl/requirements.txt

pyVHDLModel ~= 0.31.0
#https://github.com/VHDL/pyVHDLModel/archive/dev.zip#pyVHDLModel
