=== pyGHDL/libghdl/requirements.txt ===
pyTooling[terminal] ~= 8.2
