=== debian/changelog ===
ghdl (5.0.1+dfsg-1ubuntu1) plucky; urgency=medium

  * Explicitly build using LLVM 19.
  * Build again on any arch.
  * Ignore LLVM backend test results for a first build on armhf and s390x.
  * Ignore GCC backend test results for a first build on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Mar 2025 18:44:50 +0200

ghdl (5.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 5.0.1+dfsg
  * Update debian/copyright
  * Drop all backported patches
  * Update libghdl soname to current version
  * Use GCC/GNAT version 14 (Closes: 1092658, 1100461)
  * Create dummy gcc/vhdl/lang.opt.urls file to work with gcc-14
  * Bump Standards-Version to 4.7.2, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Fri, 28 Mar 2025 01:47:15 +0100
