=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-ada-library (>= 8.1),
-               gnat-13, gcc-13, g++-13,
-               gcc-13-source <!pkg.ghdl.nogcc>,
-               libisl-dev (>= 0.14) <!pkg.ghdl.nogcc>,
+               gnat-14, gcc-14, g++-14,
+               gcc-14-source <!pkg.ghdl.nogcc>,
+               libisl-dev (>= 0.20) <!pkg.ghdl.nogcc>,
                libmpc-dev (>= 1.0) <!pkg.ghdl.nogcc>,
                libmpfr-dev (>= 3.0.0-9~) <!pkg.ghdl.nogcc>,
                libgmp-dev (>= 2:5.0.1~) <!pkg.ghdl.nogcc>,
                texinfo <!pkg.ghdl.nogcc>,
-               llvm-dev (<< 1:20~) <!pkg.ghdl.nollvm>,
-               clang (>= 1:3.5) <!pkg.ghdl.nollvm>,
+               llvm-19-dev <!pkg.ghdl.nollvm>,
+               clang-19 (>= 1:3.5) <!pkg.ghdl.nollvm>,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ghdl/ghdl
 Vcs-Browser: https://salsa.debian.org/electronics-team/ghdl/ghdl
 Vcs-Git: https://salsa.debian.org/electronics-team/ghdl/ghdl.git
 Rules-Requires-Root: no
 
 Package: ghdl
-Architecture: amd64 arm64 armel ppc64el ppc64
+Architecture: any
 Depends: ghdl-common (= ${binary:Version}),
          ghdl-mcode [amd64] <!pkg.ghdl.nomcode>
          | ghdl-gcc <!pkg.ghdl.nogcc>
@@ -53,7 +53,7 @@
  is installed.
 
 Package: ghdl-common
-Architecture: amd64 arm64 armel ppc64el ppc64
+Architecture: any
 Depends: ${misc:Depends}
 Breaks: ghdl (<< 0.37+dfsg2)
 Replaces: ghdl (<< 0.37+dfsg2)
@@ -66,7 +66,7 @@
  This package contains common files for the GHDL compiler packages.
 
 Package: ghdl-mcode
-Architecture: amd64
+Architecture: any-i386 any-amd64
 Build-Profiles: <!pkg.ghdl.nomcode>
 Depends: ghdl-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: VHDL compiler/simulator (mcode backend)
@@ -78,7 +78,7 @@
  This package contains the compiler with the mcode backend.
 
 Package: ghdl-gcc
-Architecture: amd64 arm64 armel ppc64el ppc64
+Architecture: any
 Build-Profiles: <!pkg.ghdl.nogcc>
 Built-Using: ${Built-Using-GCC}
 Depends: ghdl-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
@@ -92,7 +92,7 @@
  This package contains the compiler with the GCC backend.
 
 Package: ghdl-llvm
-Architecture: amd64 arm64 armel ppc64el ppc64
+Architecture: any
 Build-Profiles: <!pkg.ghdl.nollvm>
 Depends: ghdl-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 	gcc, zlib1g-dev
@@ -105,7 +105,7 @@
  This package contains the compiler with the LLVM backend.
 
 Package: ghdl-tools
-Architecture: amd64 arm64 armel ppc64el ppc64
+Architecture: amd64 arm64 armel armhf ppc64el ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: gtkwave (<< 3.3.110~)
 Replaces: gtkwave (<< 3.3.110~)
@@ -120,8 +120,8 @@
  mainly intended for use in debugging and is not needed for regular use of
  GHDL, where a wavefile visualization tool like gtkwave would normally be used.
 
-Package: libghdl-4-1-0
-Architecture: amd64 arm64 armel ppc64el ppc64
+Package: libghdl-5-0-1
+Architecture: any
 Built-Using: ${Built-Using-GCC}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
@@ -134,9 +134,9 @@
  This package contains the shared library to access GHDL internals.
 
 Package: libghdl-dev
-Architecture: amd64 arm64 armel ppc64el ppc64
+Architecture: any
 Built-Using: ${Built-Using-GCC}
-Depends: libghdl-4-1-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libghdl-5-0-1 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: VHDL compiler/simulator (library development files)
  GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
