=== debian/rules ===
--- 
+++ 
@@ -155,7 +155,13 @@
 	# install into a temporary location and tell the testsuite to find ghdl
 	# there.
 	$(MAKE) -C $(BUILDDIR)/mcode install DESTDIR=$(TESTRUNDIR)/mcode
-	debian/tests/ghdl-tests buildtest mcode
+	if debian/tests/ghdl-tests buildtest mcode; then \
+	  : ; \
+	elif [ -n "$(filter $(DEB_HOST_ARCH), none)" ]; then \
+	  echo "Ignoring test results for MCODE on $(DEB_HOST_ARCH)"; \
+	else \
+	  exit $$?; \
+	fi
 	touch $@
 
 
@@ -170,7 +176,7 @@
 	../../configure --srcdir=../.. $(common_configure_arguments) \
 		--libdir=lib/ghdl/llvm \
 		--libghdldir=lib/ghdl/llvm/vhdl \
-		--with-llvm-config
+		--with-llvm-config=llvm-config-19
 	touch $@
 
 $(STAMPSDIR)/build-llvm: $(STAMPSDIR)/configure-llvm
@@ -207,6 +213,3 @@
 	@echo ------------------------------------------------------------
 	# With some paths patched for the Debian packaging, the tests will not
 	# work right when run from the build directory. To keep it simple
-	# install into a temporary location and tell the testsuite to find ghdl
-	# there.
-	$(MAKE) -C $(BUILDDIR)/llvm install DESTDIR=$(TESTRUNDIR)/llvm
