=== debian/tests/control ===
Test-Command: debian/tests/ghdl-tests autopkgtest gcc
Depends: ghdl-gcc, ghdl-tools
Restrictions: skip-not-installable, flaky

Test-Command: debian/tests/ghdl-tests autopkgtest llvm
Depends: ghdl-llvm, ghdl-tools
Restrictions: skip-not-installable, flaky

Test-Command: debian/tests/ghdl-tests autopkgtest mcode
Depends: ghdl-mcode, gcc, libc6-dev, ghdl-tools
Restrictions: skip-not-installable, flaky
