=== debian/watch ===
version=4

opts="dversionmangle=auto,\
     uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\.?\d*)$/$1~$2/, \
     repacksuffix=+dfsg" \
https://github.com/ghdl/@PACKAGE@/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
